/*
 * Copyright (c) KylinSoft Co., Ltd. 2024. All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __KYLIN_AI_GEN_AI_TEXT_CHAT_MESSAGE_H__
#define __KYLIN_AI_GEN_AI_TEXT_CHAT_MESSAGE_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _ChatMessage ChatMessage;
ChatMessage *chat_message_create();
void chat_message_destroy(ChatMessage **chat_message);

void chat_message_add_system_message(ChatMessage *chat_message,
                                     const char *message);
void chat_message_add_user_message(ChatMessage *chat_message,
                                   const char *message);
void chat_message_add_assistant_message(ChatMessage *chat_message,
                                        const char *message);

#ifdef __cplusplus
}
#endif

#endif  // __KYLIN_AI_GEN_AI_TEXT_CHAT_MESSAGE_H__
