/*
 * Copyright (c) KylinSoft Co., Ltd. 2024. All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __KYLIN_AI_GEN_AI_TEXT_CONFIG_H__
#define __KYLIN_AI_GEN_AI_TEXT_CONFIG_H__

#include "kylin-ai/common/enums.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _ChatModelConfig ChatModelConfig;
ChatModelConfig *chat_model_config_create();
void chat_model_config_destroy(ChatModelConfig **config);

void chat_model_config_set_name(ChatModelConfig *config, const char *name);
void chat_model_config_set_top_k(ChatModelConfig *config, double top_k);
void chat_model_config_set_deploy_type(ChatModelConfig *config,
                                       ModelDeployType type);

#ifdef __cplusplus
}
#endif

#endif  // __KYLIN_AI_GEN_AI_TEXT_CONFIG_H__
