/*
 * Copyright (c) KylinSoft Co., Ltd. 2024. All rights reserved.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __KYLIN_AI_GEN_AI_TEXT_RESULT_H__
#define __KYLIN_AI_GEN_AI_TEXT_RESULT_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _ChatResult ChatResult;

const char *chat_result_get_assistant_message(ChatResult *result);
/**
 * finish_reason解释说明：
 * stop          : API 返回完整的模型输出
 * length        : 因为 max_tokens 参数或 token 限制，导致不完整的模型输出
 * content_filter: 因为我们的内容过滤的标记，删掉了内容
 * null          : API 响应还在进行中或未完成
 */
const char *chat_result_get_finish_reason_message(ChatResult *result);
int chat_result_get_error_code(ChatResult *result);
const char *chat_result_get_error_message(ChatResult *result);
bool chat_result_get_is_end(ChatResult *result);

#ifdef __cplusplus
}
#endif

#endif  // __KYLIN_AI_GEN_AI_TEXT_RESULT_H__
